Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7966 - RFE: Return to bug list from bug display
Summary: RFE: Return to bug list from bug display
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1r
Hardware: All
OS: Linux
medium
low vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 11:34 UTC by hno
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-24 18:48:43 UTC


Attachments (Terms of Use)

Description hno 1999-12-23 11:34:30 UTC
It would be very convenient if there was a button to return to the bug list
when viewing/editing a bug in a query result. There exists buttons to
navigate thru the list, but nothing to view the actual list again.

Comment 1 Riley H Williams 1999-12-23 20:54:59 UTC
I use my browser's BACK button for this, if that helps.

Comment 2 David Lawrence 1999-12-23 20:57:59 UTC
I admit this would be nice but would actually not be a trivial addition. I will
look into this as time allows.

Comment 3 hno 1999-12-23 22:46:59 UTC
It does not help much when you have navigated a few steps, added some comment
and so on.

Adding it should be quite trivial. You have the bugid list in a cookie, and it
should not be that much work to build a display from that by either using a
modified buglist script, or adding the functionality to the existing one.

Looking thru the script it is actually quite trivial. There is a SQL backdoor on
buglist.cgi, and you can use it to create any query. Simply create a link to

/bugzilla/buglist.cgi?sql=bugs.bug_id%20in%20(4753,7683,4532)

where 4753,7683,4532 is the current value of BUGLIST.

Comment 4 hno 1999-12-23 22:48:59 UTC
This diff should do it I think.. (not tested, don't have a bugzilla installed
here)

--- CGI.pl.orig	Wed Dec  1 23:56:06 1999
+++ CGI.pl	Thu Dec 23 23:53:19 1999
@@ -190,7 +190,9 @@
 		my @bugs = split(/:/, $::COOKIE{"BUGLIST"});
 		my $cur = lsearch(\@bugs, $::FORM{"id"});
 #		print "<CENTER><B>Bug List:</B> (@{[$cur + 1]} of @{[$#bugs + 1]})\n";
-      	print "<B>Bug List:</B> (@{[$cur + 1]} of @{[$#bugs + 1]})\n";
+      	print "<B>Bug List:</B> (";
+		print "<A HREF=\"buglist.cgi?sql=bugs.bug_id%20in%20(";
+		print join(",",@bugs),")\"@{[$cur + 1]} of @{[$#bugs + 1]}</A>)\n";
 		print "<A HREF=\"show_bug.cgi?id=$bugs[0]\">First</A>\n";
 		print "<A HREF=\"show_bug.cgi?id=$bugs[$#bugs]\">Last</A>\n";
 		if ($cur > 0) {

Comment 5 David Lawrence 2000-01-24 18:48:59 UTC
My fault. I did overlook that one feature of the Bugzilla system. You are right
using that functionality it is a simple task. I have added it and should show up
soon.


Note You need to log in before you can comment on or make changes to this bug.